(function ( $ ) {
    'use strict';

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */

    $(document).ready(
        function () {

     // Select2 functionality for metabox
     $('.wcdpue-product-name-select').selectWoo(
        {
            placeholder: "Downloads Updated",
            allowClear: true,
            width: '200px'
        }
    );

    // Sent emails
    var wcdpue_sent_emails = Cookies.get('wcdpue-send-count');
    var wcdpue_scheduled_emails = Cookies.get('wcdpue-scheduled-count');

    if (wcdpue_scheduled_emails !== undefined ) {

          document.getElementById("wcdpue-send-count").style.cssText="margin-top: 15px; font-weight: bold; color: #4d85b5; text-transform: capitalize;";

        if (wcdpue_scheduled_emails > 1 ) {
            document.getElementById("wcdpue-send-count").innerHTML = wcdpue_scheduled_emails + " emails scheduled";
        }else{
            document.getElementById("wcdpue-send-count").innerHTML = wcdpue_scheduled_emails + " email scheduled";
        }

        document.cookie = "wcdpue-scheduled-count = wcdpue-send-count; expires=Thu, 01 Jan 1970 00:00:00 UTC";

    }

    if (wcdpue_sent_emails !== undefined ) {

        document.getElementById("wcdpue-send-count").style.cssText="margin-top: 15px; font-weight: bold; color: #4d85b5; text-transform: capitalize;";

        if (wcdpue_sent_emails > 1 ) {
            document.getElementById("wcdpue-send-count").innerHTML = wcdpue_sent_emails + " emails sent out";
        }else{
            document.getElementById("wcdpue-send-count").innerHTML = wcdpue_sent_emails + " email sent out";
        }

        document.cookie = "wcdpue-send-count = wcdpue-send-count; expires=Thu, 01 Jan 1970 00:00:00 UTC";

    }

    }
    );
})(jQuery);
